Bug 821014 - Usability: braindead installer error when wlan doesn't work
Usability: braindead installer error when wlan doesn't work
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-05-11 10:59 EDT by Jonas Thiem
Modified: 2013-05-09 21:30 EDT (History)
6 users (show)

See Also:
Fixed In Version: anaconda-18.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-05-09 21:30:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jonas Thiem 2012-05-11 10:59:57 EDT
Description of problem:
When the installer insists on networking and asks to enter the details, then tries to connect to the network and fails, I get the unhelpful, generic error "An error occured trying to bring up the wlan0 network interface.".
There is no details button, no error report possibility, nothing. Was there a basic network driver issue? Is the wlan password I entered simply wrong? Was the access point too far away (weak signal)? The error really couldn't be less helpful.

Version-Release number of selected component (if applicable):
Version of Test Candidate 4 of F17

How reproducible:
Always for me, when networking connection of wlan fails

Steps to Reproduce:
1. Make sure the installer wants to install over network
2. Enter wlan details and make sure they don't work :p (for me, that is the default for whatever reason not specified)
3. Wait for the incredibly insightful error to appear
Actual results:
Error is one sentence with absolutely no details, no advice on what to do. The user cannot possibly have an idea what part of the network setup actually failed and if there is something they can do (change password) or not (driver problem).

Expected results:
The error explains more what part actually failed (wlan network login due to password, access point too far away, ...), or at least some technical babble details which the average joe doesn't understand, but which can be at least thrown into Google or offered to a knowledgeable person for assistance.

Additional info:
Comment 1 Chris Lumens 2012-08-03 15:49:05 EDT
I believe this should be fixed in F18.  Please test and let us know.
Comment 2 Adam Williamson 2013-05-09 21:30:48 EDT
Going through old anaconda bugs. The reporter never responded; let's just close this out. Jonas, if you have time to try F18 or an F19 build, please do, and if you still think there are problems here, re-open this or file a new bug. Thanks!

Note You need to log in before you can comment on or make changes to this bug.